- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CDirectVobSubFilter Class Reference

Inheritance diagram for CDirectVobSubFilter:

List of all members.

## Public Member Functions
| CDirectVobSubFilter (LPUNKNOWN punk, HRESULT *phr, const GUID &clsid=__uuidof(CDirectVobSubFilter))
virtual | ~CDirectVobSubFilter ()
STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
CBasePin * | GetPin (int n)
int | GetPinCount ()
STDMETHODIMP | JoinFilterGraph (IFilterGraph *pGraph, LPCWSTR pName)
STDMETHODIMP | QueryFilterInfo (FILTER_INFO *pInfo)
HRESULT | SetMediaType (PIN_DIRECTION dir, const CMediaType *pMediaType)
HRESULT | CheckConnect (PIN_DIRECTION dir, IPin *pPin)
HRESULT | CompleteConnect (PIN_DIRECTION dir, IPin *pReceivePin)
HRESULT | BreakConnect (PIN_DIRECTION dir)
HRESULT | StartStreaming ()
HRESULT | StopStreaming ()
HRESULT | NewSegment (REFERENCE_TIME tStart, REFERENCE_TIME tStop, double dRate)
STDMETHODIMP | put_FileName (WCHAR *fn)
STDMETHODIMP | get_LanguageCount (int *nLangs)
STDMETHODIMP | get_LanguageName (int iLanguage, WCHAR **ppName)
STDMETHODIMP | put_SelectedLanguage (int iSelected)
STDMETHODIMP | put_HideSubtitles (bool fHideSubtitles)
STDMETHODIMP | put_PreBuffering (bool fDoPreBuffering)
STDMETHODIMP | put_Placement (bool fOverridePlacement, int xperc, int yperc)
STDMETHODIMP | put_VobSubSettings (bool fBuffer, bool fOnlyShowForcedSubs, bool fPolygonize)
STDMETHODIMP | put_TextSettings (void *lf, int lflen, COLORREF color, bool fShadow, bool fOutline, bool fAdvancedRenderer)
STDMETHODIMP | put_SubtitleTiming (int delay, int speedmul, int speeddiv)
STDMETHODIMP | get_MediaFPS (bool *fEnabled, double *fps)
STDMETHODIMP | put_MediaFPS (bool fEnabled, double fps)
STDMETHODIMP | get_ZoomRect (NORMALIZEDRECT *rect)
STDMETHODIMP | put_ZoomRect (NORMALIZEDRECT *rect)
STDMETHODIMP | HasConfigDialog (int iSelected)
STDMETHODIMP | ShowConfigDialog (int iSelected, HWND hWndParent)
STDMETHODIMP | put_TextSettings (STSStyle *pDefStyle)
STDMETHODIMP | GetPages (CAUUID *pPages)
STDMETHODIMP | Count (DWORD *pcStreams)
STDMETHODIMP | Enable (long lIndex, DWORD dwFlags)
STDMETHODIMP | Info (long lIndex, AM_MEDIA_TYPE **ppmt, DWORD *pdwFlags, LCID *plcid, DWORD *pdwGroup, WCHAR **ppszName, IUnknown **ppObject, IUnknown **ppUnk)
STDMETHODIMP | GetClassID (CLSID *pClsid)
## Public Attributes
| DECLARE_IUNKNOWN
CArray< CTextInputPin * > | m_pTextInput
## Protected Member Functions
void | GetOutputSize (int &w, int &h, int &arx, int &ary)
HRESULT | Transform (IMediaSample *pIn)
void | PrintMessages (BYTE *pOut)
HRESULT | Copy (BYTE *pSub, BYTE *pIn, CSize sub, CSize in, int bpp, const GUID &subtype, DWORD black)
REFERENCE_TIME | CalcCurrentTime ()
bool | Open ()
int | FindPreferedLanguage (bool fHideToo=true)
void | UpdatePreferedLanguages (CString lang)
void | UpdateSubtitle (bool fApplyDefStyle=true)
void | SetSubtitle (ISubStream *pSubStream, bool fApplyDefStyle=true)
void | InvalidateSubtitle (REFERENCE_TIME rtInvalidate=-1, DWORD_PTR nSubtitleId=-1)
void | AddSubStream (ISubStream *pSubStream)
void | RemoveSubStream (ISubStream *pSubStream)
void | Post_EC_OLE_EVENT (CString str, DWORD_PTR nSubtitleId=-1)
## Protected Attributes
HDC | m_hdc
HBITMAP | m_hbm
HFONT | m_hfont
CAutoVectorPtr< BYTE > | m_pTempPicBuff
CRefTime | m_tPrev
double | m_fps
bool | m_fMSMpeg4Fix
bool | m_fDivxPlusFix
bool | m_fLoading
CCritSec | m_csSubLock
CInterfaceList< ISubStream > | m_pSubStreams
DWORD_PTR | m_nSubtitleId
## Friends
class | CTextInputPin

## Detailed Description

Definition at line 41 of file DirectVobSubFilter.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/transform/vsfilter/DirectVobSubFilter.h
- C:/guliverkli/src/filters/transform/vsfilter/Copy.cpp
- C:/guliverkli/src/filters/transform/vsfilter/DirectVobSubFilter.cpp